// search options
// --- needs to be adapted to the form of our content
const options = {
    includeScore: true,
    // Search in `author` and in `tags` array
    keys: ["item.title", "item.keywords",
        "item.author.firstName", "item.author.lastName"
    ]
}
const options_paper = {
    includeScore: true,
    // Search in `author` and in `tags` array
    keys: ["item.title", "item.keywords",
        "item.author.firstName", "item.author.lastName"
    ]
}

// start search
var searchanswer
var searchanswer_paper

function search() {
    const fuse = new Fuse(stuff, options);
    searchanswer = fuse.search(document.getElementById("search-input").value)

    var new_row = document.getElementById("row_main")
    new_row.innerHTML = "";
    var searchLength = searchanswer.length;
    for (var i = 0; i < searchLength; i++) {
        addcontent(searchanswer[i].item);
        //Do something
    }
    // alert(searchanswer);
    console.log(searchanswer);
}

function search_paper() {
    const fuse = new Fuse(stuff_paper, options);
    searchanswer_paper = fuse.search(document.getElementById("search-input_paper").value)

    var new_row = document.getElementById("cont_paper")
    new_row.innerHTML = "";
    var searchLength = searchanswer_paper.length;
    for (var i = 0; i < searchLength; i++) {
        addpaper(searchanswer_paper[i].item);
        //Do something
    }
    // alert(searchanswer);
    console.log(searchanswer_paper);
}
//get json
// --- can be adapted if we load the content from the json
var stuff = []
var stuff_paper = []
// $.getJSON("./content/content.json", function(result){
//     stuff = result;
//     var new_row = document.getElementById("row_main")
//     new_row.innerHTML = "";
//     var arrayLength = stuff.length;
//     for (var i = 0; i < arrayLength; i++) {
//         addcontent(stuff[i]);
//         //Do something
//     }
//     // stuff.forEach(addcontent());
//     });




$(document).ready(function () {
    $.getJSON("./content/content.json", function (result) {
        stuff = result;
        var new_row = document.getElementById("row_main")
        new_row.innerHTML = "";
        var arrayLength = stuff.length;
        for (var i = 0; i < arrayLength; i++) {
            addcontent(stuff[i]);
            //Do something
        }
    });

    // get paper content is commented out for back up
    // $.getJSON("./content/paper2.json", function (result) {
    //     stuff_paper = result;
    //     var new_row = document.getElementById("cont_paper")
    //     new_row.innerHTML = "";
    //     var arrayLength = stuff_paper.length;
    //     for (var i = 0; i < arrayLength; i++) {

    //         if (Math.abs(arrayLength - i) <= max_paper_list) {
    //             console.log("close to " + i)
    //             addpaper(stuff_paper[i]);
    //         }
    //         //Do something
    //     }
    // });

    // get paper from the Sabo result
    stuff_paper = jsonContent;
    var new_row = document.getElementById("cont_paper")
    new_row.innerHTML = "";
    var arrayLength = stuff_paper.length;
    for (var i = 0; i < arrayLength; i++) {

        if (Math.abs(arrayLength - i) <= max_paper_list) {
            console.log("close to " + i)
            addpaper(stuff_paper[i]);
        }
        //Do something
    }

    json_to_bib(stuff_paper)

    
    var userLang = navigator.language || navigator.userLanguage;
    console.log("The language is: " + userLang);
    if (userLang.includes("de")) {
        console.log(true)
        var select1 = document.getElementById('selectpicker1');
        console.log(select1)
        select1.value = "2";
        select1.dispatchEvent(new Event('change'));
    }
});

// window.onload = function () {
//     var e = document.getElementById("selectpicker1");
//     e.value = 2;
//     e.dispatchEvent(new Event('change'));
// };


// searchbar and start search
function searchToggle(obj, evt) {
    console.log("arrive")
    var container = $(obj).closest('.search-wrapper');
    if (!container.hasClass('active')) {
        container.addClass('active');
        evt.preventDefault();
        console.log("first")
    } else if (container.hasClass('active') && $(obj).closest('.input-holder').length == 0) {
        container.removeClass('active');
        // clear input
        console.log("second")
        var new_row = document.getElementById("row_main")
        new_row.innerHTML = "";
        var arrayLength = stuff.length;
        for (var i = 0; i < arrayLength; i++) {
            addcontent(stuff[i]);
            //Do something
        }
        container.find('.search-input').val('');
    } else {
        console.log("search")
        search();
        // addcontent();
    }
}

function searchToggle_paper(obj, evt) {
    console.log("arrive")
    var container = $(obj).closest('.search-wrapper');
    if (!container.hasClass('active')) {
        container.addClass('active');
        evt.preventDefault();
        console.log("first")
    } else if (container.hasClass('active') && $(obj).closest('.input-holder').length == 0) {
        container.removeClass('active');
        // clear input
        console.log("second")
        var new_row = document.getElementById("cont_paper")
        new_row.innerHTML = "";
        var arrayLength = stuff_paper.length;
        for (var i = 0; i < arrayLength; i++) {
            if (Math.abs(arrayLength - i) <= 2) {
                console.log("close to " + i)
                addpaper(stuff_paper[i]);
            }

            //Do something
        }
        container.find('#search-input_paper').val('');
    } else {
        console.log("search")
        search_paper();
        // addcontent();
    }
}

// search on enter
var input = document.getElementById("search-input");
input.addEventListener("keyup", function (event) {
    if (event.keyCode === 13) {
        event.preventDefault();

        document.getElementById("search-button").click();
    }
});

var input = document.getElementById("search-input_paper");
input.addEventListener("keyup", function (event) {
    if (event.keyCode === 13) {
        event.preventDefault();

        document.getElementById("search-button_paper").click();
    }
});